# BIDS-validator for computational data (BEP034)

This is a package for validating computational data conversion, specifically designed using [BEP034 proposal](https://docs.google.com/document/d/1NT1ERdL41oz3NibIFRyVQ2iR8xH-dKY-lRCB4eyVeRo/edit?usp=sharing).

The package was specifically designed for [sim2bids app](https://github.com/dissagaliyeva/sim2bids), however, you can check your own computational conversions as well. 

The project is very fresh and under active development. However, you can already get most of the checks. 

### Installation

Simply run the following command to get the app up and running:

`pip install comp_validator`

You can either find a notebook with instructions to run the app or follow the lines below:

```python
import comp_validator 
from comp_validator import comp_validator

comp_validator.validate(PATH)
```

You should specify the path to the **already converted** simulation results. This folder should already have a BIDS structure.  
If you don't have the structure yet, we strongly suggest giving [sim2bids](https://github.com/dissagaliyeva/sim2bids) a try.

### Issues

Since the app is still fresh, we expect seeing some checks missing. If you do find them, please open a new issue or send an email to this address: dinarissaa@gmail.com 